unit uIEditorInformeFacturasProveedorReportGrafComp;

interface

uses
  FactuGES_Intf, uIEditorInformeBase;

type
  IEditorInformeFacturasProveedorReportGrafComp = interface(IEditorInformeBase)
  ['{1F80F45F-AAD6-460D-9E68-AD4492009926}']

    function GetIntervalo: Variant;
    function GetAno1: Variant;
    function GetAno2: Variant;
    function GetNTop: Variant;

    function GetListaIDProveedores: TIntegerArray;

    property Intervalo: Variant read GetIntervalo;
    property Ano1: Variant read GetAno1;
    property Ano2: Variant read GetAno2;
    property NTop: Variant read GetNTop;    

    property ListaIDProveedores: TIntegerArray read GetListaIDProveedores;
  end;


implementation

end.
